Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(109)

Issue 622033002: Merge FontHarfBuzz.cpp into Font.cpp (Closed)

Created:
5 years, 7 months ago by eae
Modified:
5 years, 7 months ago
CC:
blink-reviews, jamesr, pdr+graphicswatchlist_chromium.org, jbroman, mkwst+moarreviews_chromium.org, danakj, Rik, Stephen Chennney, krit, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Merge FontHarfBuzz.cpp into Font.cpp Now that HarfBuzz is used on all platforms merge the HarfBuzz specific implementation into Font.cpp. BUG=286450 R=dominik.rottsches@intel.com Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=183144

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+303 lines, -355 lines) Patch
M Source/platform/blink_platform.gyp View 2 chunks +0 lines, -2 lines 0 comments Download
M Source/platform/blink_platform.gypi View 1 1 chunk +0 lines, -1 line 0 comments Download
M Source/platform/fonts/Font.cpp View 1 2 6 chunks +303 lines, -5 lines 0 comments Download
D Source/platform/fonts/harfbuzz/FontHarfBuzz.cpp View 1 1 chunk +0 lines, -347 lines 0 comments Download

Messages

Total messages: 15 (7 generated)
eae
5 years, 7 months ago (2014-10-01 23:18:34 UTC) #2
Dominik Röttsches
LGTM - nice, collapse all the files. https://codereview.chromium.org/622033002/diff/1/Source/platform/fonts/Font.cpp File Source/platform/fonts/Font.cpp (right): https://codereview.chromium.org/622033002/diff/1/Source/platform/fonts/Font.cpp#newcode790 Source/platform/fonts/Font.cpp:790: nit, extra ...
5 years, 7 months ago (2014-10-02 13:34:40 UTC) #3
eae
https://codereview.chromium.org/622033002/diff/1/Source/platform/fonts/Font.cpp File Source/platform/fonts/Font.cpp (right): https://codereview.chromium.org/622033002/diff/1/Source/platform/fonts/Font.cpp#newcode790 Source/platform/fonts/Font.cpp:790: On 2014/10/02 13:34:39, Dominik Röttsches wrote: > nit, extra ...
5 years, 7 months ago (2014-10-02 14:28:50 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/622033002/20001
5 years, 7 months ago (2014-10-02 14:29:12 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_compile_dbg on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/mac_blink_compile_dbg/builds/21348) win_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_rel/builds/29897)
5 years, 7 months ago (2014-10-02 14:37:07 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/622033002/40001
5 years, 7 months ago (2014-10-02 14:50:58 UTC) #12
commit-bot: I haz the power
Committed patchset #3 (id:40001) as 183144
5 years, 7 months ago (2014-10-02 16:32:40 UTC) #13
behdad_google
5 years, 7 months ago (2014-10-02 17:00:02 UTC) #15
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698